//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAnnotatePane:
//	Displays the result of the annotate command on a
//	file browser page

#ifndef p4wAnnotatePane_H
#define p4wAnnotatePane_H

#include "p4wPane.h"

class p4wAnnotatePane : public p4wPane {

public:

	p4wAnnotatePane( p4wView & ParentView, p4wRequest & Request, 
		const char *headRev, const char *headChange );
	virtual		~p4wAnnotatePane();

	//
	// Render functions.
	
	virtual	void	Begin();
	virtual	void	Render( StrDict *varList );
	virtual	void	End();

	void	SetFileLog(StrBuf *fl) { fFileLog = fl; }
	void	SetChgWidth(int w) { fChgWidth = w; }
	void	SetUsrWidth(int w) { fUsrWidth = w; }
	
private:
	void	RenderWithChgs( StrDict *varList );

	int		fSeenData;
	int		fLineCtr;
	StrBuf	fHeadRev;
	StrBuf	fHeadChg;
	StrBuf	fTopChg;
	StrBuf *fFileLog;
	int		fRangeWidth;
	int		fChgWidth;
	int		fUsrWidth;
	int		fShowUser;
	int		fShowRvNo;
	int		fShowIntg;
	StrBuf	fLastChg1;
	StrBuf	fLastChg2;
	StrBuf	fLastSame;
	StrBuf	fDots;
};

#endif // p4wAnnotatePane_H
