//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wChangePendingEditPane:
//   Displays a form to edit a pending changelist


#ifndef p4wChangePendingEditPane_H
#define p4wChangePendingEditPane_H

#include "p4wRunPane.h"


class StrDict;


class p4wChangePendingEditPane : public p4wRunPane {

public:

	p4wChangePendingEditPane( p4wView & ParentView, p4wRequest & Request, 
		int isSubmit, int displayButton, int unchecked );

	virtual	~p4wChangePendingEditPane();

	//
	// Overrides for spec panes.
	
	virtual	void		Begin();
	virtual void		Render( StrDict *varList );
	virtual void		RenderError( char *data, int escapeHTML );
	virtual	int		IgnoreField( const char * field );
	virtual	int		CustomField( const char * field, 
					StrDict * varList, int maxLen, SpecElem *se );
	virtual void		End();

	//
	// Overrides for spec edit panes.
	
	virtual void		GetAction( StrBuf & actionURL );
	
		void		DrawSubmitButton();
	
private:
	enum State { gettingChange, gettingFiles, gettingChanges } fState;

	int			isSubmit;
	int			fIsFirstFile;
	int			fIsFirstChange;
	int			fReadOnly;
	int			fRedisplayButton;
	int			fByPath;
	int			fCurCli;
};

#endif // p4wChangePendingEditPane_H
