//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDescribeDefaultPane:
//	generates a default changelist by parsing p4 opened -C <client> -c default


#ifndef p4wDescribeDefaultPane_H
#define p4wDescribeDefaultPane_H

#include "p4wPane.h"


class p4wDescribeDefaultPane : public p4wPane {

public:

	p4wDescribeDefaultPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual	~p4wDescribeDefaultPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();

	void	SetUser(char *u) { fUser << u; }

	int		fError;

private:
	StrBuf	fUser;
	StrBuf	fErrMsg;
	int 	fSeenData;
};

#endif // p4wDescribeDefaultPane_H
