//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDescribePane:
//   Generates output of a p4 describe command

#ifndef p4wDescribePane_H
#define p4wDescribePane_H

#include "p4wPane.h"


class StrDict;


class p4wDescribePane : public p4wPane {

public:

	p4wDescribePane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wDescribePane();


	//
	// Render functions.
	
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual void		RenderInfo( char *data, char level );
	virtual	void		End();
	
private:
	enum State { gettingChange, gettingFixes, addingFixes } fState;
	
	void			doChange( StrDict *varList );
	void			doFixes( StrDict *varList );
	void			doAddFix( StrDict * varList );
	
	int				fSeenFixes;
	int				fPending;
	StrBuf			fChange;
	StrBuf			fUser;
};

#endif // p4wDescribePane_H
