// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wDiffsPane:
//   The diffs (all diffs for one change) pane.

#ifndef p4wDiffsPane_H
#define p4wDiffsPane_H

//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wDiffsPane class
class p4wDiffsPane : public p4wPane {

public:
	//
	// Constructors and destructor.
			p4wDiffsPane(p4wView & ParentView, p4wRequest & Request);
	virtual		~p4wDiffsPane();

	//
	// Overrides for panes.
	virtual void		Begin();
	virtual void		Render(StrDict *varList);
	virtual void		RenderInfo(char *data, char level);
	virtual void		RenderText(char *data);
	virtual void		RenderError(char *data, int escapeHTML);
	virtual void		End();
	
	//
	// DiffsPane-specification functions & data

	void		AdditionalFunction();

	StrArray	FileList;

protected:
	//
	// Protected state variables.
	int		fSeenBegin;
	int		fSeenOpened;
	int		fInPre;
	int		fFunctionCount;
};

#endif // p4wDiffsPane_H
