//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wEditLocalProcessorPane:
//   Holds output of a p4 fstat command

#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wEditLocalProcessorPane.h"


p4wEditLocalProcessorPane::p4wEditLocalProcessorPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request )
{
	fClientFile << "";
	fErrMsg = NULL;
}

p4wEditLocalProcessorPane::~p4wEditLocalProcessorPane()
{
}



// -------------------------------------
// Render functions.
//
void p4wEditLocalProcessorPane::Begin()
{
}

void p4wEditLocalProcessorPane::Render( StrDict * varList )
{
	StrPtr * action = varList->GetVar( "action" );
	if( action && (*action == "edit" || *action == "add") )
	{
		StrPtr *ptr = varList->GetVar( "clientFile" );
		if (ptr)
			fClientFile << ptr;
	}
	else
		fErrMsg = "File is no longer open for Edit or Add.";

	StrPtr * headType = varList->GetVar( "headType" );
	if (headType)
		fFileType << headType;
}

void p4wEditLocalProcessorPane::End()
{
}

void p4wEditLocalProcessorPane::RenderInfo( char *data, char level )
{
//	p4wHtml htm;
//	htm.text(data);
//	htm.linebreak();
//	fRequest << htm;
}
