//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobCmdPane:
//   Generates a result pane containing the result of the job -i
//   command. The expected flow of control has 2 states. The first
//   state is getting the result of an optional p4 jobs -e command
//   used to determine if the job exists. The 2nd state generates the
//   the result of the job -i command.


#ifndef p4wJobCmdPane_H
#define p4wJobCmdPane_H

#include "p4wPane.h"

class p4wJobCmdPane : public p4wPane {

public:

	p4wJobCmdPane( p4wView & ParentView, p4wRequest & Request,
			const char *jobName );
		
	virtual		~p4wJobCmdPane();

	virtual	void	Begin();
	virtual	void	RenderInfo( char *data, char level );
	virtual	void	RenderError( char *data, int escapeHTML );
	virtual void	Render( StrDict *varList );
	virtual	void	End();
	
	int		JobExists() { return fJobExists; };
	
protected:
	int		fSeenBegin;
	
private:
	enum State { getJobs, getForm } fState;

	Spec		fJobSpec;
	StrBuf		fJobName;
	int		fJobExists;
};

#endif // p4wCmdPane_H
