//
// Copyright 2004 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLoginPane:
//   Handles the result of the p4 login command

#include <p4wp4.h>

#include "p4wStrBuf.h"

#include "p4wPane.h"
#include "p4wLoginPane.h"

p4wLoginPane::p4wLoginPane( p4wView & ParentView, p4wRequest & Request )
	: p4wPane( ParentView, Request )
{
	fPasswordError = 0;
}

p4wLoginPane::~p4wLoginPane()
{
}

void p4wLoginPane::RenderInfo( char *data, char level )
{
	//
	// Save the data as a password-ticket

	fPswdTicket.Set(data);
}

void p4wLoginPane::RenderError( char *error, int escapeHTML )
{
	if (strstr(error, "Password invalid"))
		fPasswordError = 1;
}


void p4wLoginPane::Prompt( const StrPtr &msg, StrBuf &rsp, 
	int noEcho, Error *e )
{
	//
	// Send password last entered by the user back to
	// the server when prompted by p4 login
	
	rsp.Set( fRequest.GetPassword() );
}
