//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wMatchPane:
//   Renders the Files Matching... menu form


#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wMatchPane.h"

p4wMatchPane::p4wMatchPane( p4wView & ParentView, p4wRequest & Request )
	: p4wSpecPane( ParentView, Request, 1 )
{
}

p4wMatchPane::~p4wMatchPane()
{
}

// -------------------------------------
// Render functions.
//

void p4wMatchPane::Render( StrDict * varList )
{
	//
	// Fetch and build the ACTION value.
	
	StrBuf actionURL;
	GetAction( actionURL );
	
	p4wHtml htm;

	//
	// Begin the pane.
	
	htm.comment( "BEGIN MATCH PANE" );
	htm.beginForm( actionURL.Text() );
	htm.beginDList();
	htm.dListTag();
	htm.text( "Command:", "b" );
	htm.dListVal();


	//
	// Files matching button
	
	htm.button( NULL, "Files matching" );

	//
	// Generate the Files portion. 
	
	htm.dListTag();
	htm.text( "Files:", "b" );
	htm.dListVal();
	htm.text( "Files matching " );
	htm.text( p4wStrBuf().EscapeHTML(fRequest.GetPath(), Unicode()).Text() );
	htm.textField( "Pattern", NULL, 30 );

	//
	// End the pane.	
	
	htm.endDList();
	htm.endForm();
	htm.comment( "END MATCH PANE" );
	
	fRequest << htm;
}

void p4wMatchPane::GetAction( StrBuf & actionURL )
{
	//
	// Constructs url used for the form ACTION value

	ConstructAction( AC_MATCHPROCESSOR, NULL, 1, actionURL );
}
