//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wMimeContentPane: render data using Content-type based on file suffix

#ifndef p4wMimeContentPane_H
#define p4wMimeContenPane_H

#include <strxml.h>
#include "p4wPane.h"

class p4wMimeContentPane : public p4wPane {

public:
				p4wMimeContentPane(p4wView & ParentView, 
					p4wRequest & Request);
	virtual			~p4wMimeContentPane();

	//
	// Render functions.
	virtual	void		RenderText( char *data );
	virtual void		RenderBinary( char *data, int len );
	virtual void		RenderError( char *error, int escapeHTML );
	void			RenderLocal( char *fileName, int defaultIsPlainText=0 );
	virtual	void		Render( StrDict * varList );
	virtual void		RenderInfo( char *data, char level );
	virtual void		End();

public:

	void			RenderHeaderIfMapped( int errorOnly, 
					int localCs =0, int defaultIsPlainText=0 );	
	void			SetP4Cmd(char * p4cmd) { fP4Cmd.Set(p4cmd); }
	void			AddP4CmdArg(char *p4arg);

	int				fOpenFailed;

private:

	int 			GetContentType( char *suffix, StrBuf & contentType );
	int 			GetCustomContentType( char *suffix, StrBuf & contentType, const char *filename );

	void			RenderContentDispositionHeader();
	void			RenderXMLHeader();

	StrBuf			fP4Cmd;
	StrBuf			fP4CmdArgs;
	StrBuf			fExtraTag;

	int 			fSeenData;
	int 			fRenderedHdr;
	StrXml			fXml;
};

#endif // p4wMimeContentPane_H
