//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wMultiUserPane: the multi user startup pane
//

#ifndef p4wMultiUserPane_H
#define p4wMultiUserPane_H

#include "p4wSpecPane.h"

class StrDict;

class p4wMultiUserPane : public p4wSpecPane {

public:

	p4wMultiUserPane( p4wView & ParentView, p4wRequest & Request ); 
	virtual	~p4wMultiUserPane();

	//
	// Overrides for spec panes
	//
	virtual int IgnoreField( const char * field ) { return 0; }; 
	virtual int CustomField( const char * field, 
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
		
	//
	// Overrides for spec edit panes
	//
	virtual void GetAction( StrBuf & actionURL );
	virtual void Render( StrDict * varList );
	virtual void End();

	void	SetErrorMsg(char *emsg) { fErrorMsg.Set(emsg); }

private:

	StrBuf	fErrorMsg;
	p4wHtml fDDhtm;
	int		fGotClient;
	int		fOK2End;
};

#endif
