//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wP4CmdPane: allows the user to send raw p4 commands

#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wP4CmdPane.h"


p4wP4CmdPane::p4wP4CmdPane( p4wView & ParentView, p4wRequest & Request)
	: p4wPane(ParentView, Request)
{
}


p4wP4CmdPane::~p4wP4CmdPane()
{
}

void p4wP4CmdPane::DrawPane()
{
	if (!(fRequest.GetScreenChunks() & SCRN_TOOLBAR))
		return;

	//
	// Draw the P4 Command page
	
	p4wHtml htm;
	StrBuf actionURL;
	
	GetAction( actionURL );	
	
	fIsForm = 0;
	
	htm.comment( "BEGIN RAW P4 CMDS PANE" );

	htm.beginTRow( NULL, NULL, "#EEEEEE" );
	if( !fRequest.HideRecentChanges() )
		htm.beginCol( NULL, NULL, "5" );
	else
		htm.beginCol();

	htm.beginTable(0, "100%", "1", "5", "#EEEEEE");
	htm.beginTRow( NULL, NULL, "#EEEEEE" );
	htm.beginCol();

	htm.beginForm( actionURL.Text() );
	htm.endCol();

	htm.beginCol(0,0,0,0,0,0,0,1);
	htm.text( "P4 command:" );
	AllCommands cmd = fRequest.GetCmd();
	if (cmd == AC_DIFFWVC || cmd == AC_DIFFCVH || cmd == AC_DIFFWVH 
	 || cmd == AC_DIFFRVW || cmd == AC_DIFF2   || cmd == AC_DIFF21 || cmd == AC_DIFF22)
		htm.textField( "p4", "", 80, 0, 0,
						"document.getElementById('nextprev').checked=false", 
						"document.getElementById('nextprev').checked=true" );
	else
		htm.textField( "p4", "", 80 );
	htm.button( "p4go", "Go" );

	htm.text( " &nbsp; " );
	htm.radio("tagged", "text", 1, 0, "taggedtext");
	htm.label( "Text", "taggedtext" );
	htm.radio("tagged", "tagged", 0, 0, "taggedtagged");
	htm.label( "Tagged", "taggedtagged" );
	htm.radio("tagged", "xml", 0, 0, "taggedxml");
	htm.label( "XML", "taggedxml" );
	htm.endCol();

	htm.beginCol();
	htm.endForm();
	htm.endCol();
	htm.endTRow();
	htm.endCol();
	htm.endTRow();
	htm.endTable();
	
	htm.comment( "END RAW P4 CMDS PANE" );

	fRequest << htm;
}

void p4wP4CmdPane::GetAction( StrBuf & actionURL )
{
	//
	// Constructs url used for the form ACTION value

	StrBuf path;
	path << fRequest.GetURL();
	
	fRequest.ConstructSafeURL( actionURL, path.Text(), AC_P4CMDPROCESSOR, NULL );
}
