//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wPreviewPane:
//   Generates a result pane containing the result of a simple
//   preview command, along with a form and the button to perform
//   the action


#ifndef p4wPreviewPane_H
#define p4wPreviewPane_H

#include "p4wRunPane.h"

class p4wPreviewPane : public p4wRunPane {

public:

	p4wPreviewPane( p4wView & ParentView, 
		p4wRequest & Request, const char *title );

	virtual ~p4wPreviewPane();

	virtual	void Begin();
	virtual	void RenderInfo( char *data, char level );
	virtual	void RenderError( char *data, int escapeHTML );
	virtual	void End();
	
	virtual void GetAction( StrBuf & actionURL );
	virtual	int IgnoreField( const char * field ) { return 0; };
	virtual	int CustomField( const char * field,
		StrDict * varList, int maxFieldLen, SpecElem *se ) { return 0; };
		
	//
	// Override HandleError() so that we can generate
	// a better error message for labelsync's empty string
	// error
	
	virtual void HandleError( Error *e );

protected:
	int fSeenBegin;

private:

	//
	// Call OutputDirectoryHeader to generate linkified path
	// for certain commands
	
	void doDirHeader();
	
	//
	// Construct a title for this status page
	
	void doTitle( StrBuf &title );
	
	//
	// Generate the form with hidden values and button
	
	void doForm();
	
	StrBuf		fTitle;
};

#endif // p4wPreviewPane_H
