//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wResolveIAPane:
//	Interactive Non-local Resolve


#ifndef p4wResolveIAPane_H
#define p4wResolveIAPane_H


#include "p4wRunPane.h"


class p4wResolveIAPane : public p4wRunPane {

public:

	p4wResolveIAPane( p4wView & ParentView, p4wRequest & Request, const char *title );
	
	virtual ~p4wResolveIAPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual int	 Resolve( ClientMerge *m, Error *e );
	virtual	void RenderInfo( char *data, char level );
	virtual	void End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };
//	virtual void	HandleError( Error *err );

	StrBuf	fActionFile;
	StrBuf	fdwbFlag;
	int fForceOption;
	int fMarkOption;

private:
	int fSeenData;
	StrBuf	fData;
};

#endif // p4wResolveIAPane_H
