//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wResolveIAProcessorPane:
//   Runs the real p4 resolve command

#ifndef p4wResolveIAProcessorPane_H
#define p4wResolveIAProcessorPane_H

#include "p4wPane.h"


class StrDict;


class p4wResolveIAProcessorPane : public p4wPane {

public:

	p4wResolveIAProcessorPane( p4wView & ParentView, p4wRequest & Request, char **pErrMsg, StrBuf *pmd5in, p4wStrBuf *peditbuf, int rc );
	virtual		~p4wResolveIAProcessorPane();


	//
	// Render functions.
	
	virtual	void	Begin();
	virtual int		Resolve( ClientMerge *m, Error *e );
	virtual void	RenderInfo( char *data, char level );
	virtual void	RenderError( char *data, int escapeHTML );
	virtual	void	End();

	int GetRC() { return fRC; };
	char *GetErrMsg() { return *fErrMsg; }


private:
	char * WriteMergedFile(FileSys *f, Error *e);

	int fSeenData;
	int fRC;

	char ** 	fErrMsg;
	StrBuf		fErrBuf;
	StrBuf *	md5in;
	p4wStrBuf *	editbuf;
};

#endif // p4wResolveIAProcessorPane_H
