//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wThumbnailPane: renders print data using mime type for content type


#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"
#include "p4wI18n.h"
#include "p4wPane.h"
#include "p4wThumbnailPane.h"
#include "base64.h"


p4wThumbnailPane::p4wThumbnailPane( p4wView & ParentView, p4wRequest & Request )
	: p4wMimeContentPane( ParentView, Request ), fSeenData(0)
{
}

p4wThumbnailPane::~p4wThumbnailPane()
{
}

void p4wThumbnailPane::RenderBinary(char *data, int len)
{
	//
	// Output binary data (via p4 print). Generate http
	// content type for this page only if we can resolve the 
	// content type by examining the file suffix.
	
	if( !fSeenData ) {
		RenderHeaderIfMapped( 0 );	// need to add ", 0, 0, 0" if caching
		++fSeenData;

#ifdef	MSIE_FINALLY_GETS_ITS_CACHING_SO_THAT_IT_IS_FASTER_THAN_REREADING
		if (!strstr(fRequest.GetHTTPVersion().Text(), "1.0"))
		{
			p4wHtml htm;
			htm.CacheControl(86400, 1);
			fRequest << htm;
		}
#endif
	}
	fRequest.Write( data, len );
}

void p4wThumbnailPane::Render( StrDict * varList )
{
	StrPtr * attr_thumb = varList->GetVar( "attr-thumb" );

	if (attr_thumb)
	{
		StrBuf bindata;
		char *p = bindata.Alloc((attr_thumb->Length() + 1)/2 + 2);
		int lgth = DecodeBase16(attr_thumb->Text(), attr_thumb->Length(), p);
		RenderBinary(p, lgth);
	}
}
