//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
//
// p4wUnlockPane:
//   Generates a form to specify options for the unlock command

#ifndef p4wUnlockPane_H
#define p4wUnlockPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wUnlockPane : public p4wRunPane {

public:
	p4wUnlockPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wUnlockPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	RenderError( char *data, int escapeHTML );
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
				StrDict * varList, int len, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *e );

private:
	enum State { gettingchanges, gettingfiles, done } fState;

	int fSeenBegin;
	int fGotOneFile;
};

#endif // p4wUnlockPane_H
