//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wUserPane:
//   Displays the user spec either as a form or read-only

#ifndef p4wUserPane_H
#define p4wUserPane_H


#include "p4wSpecPane.h"


class StrDict;

class p4wUserPane : public p4wSpecPane {

public:

	p4wUserPane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual	~p4wUserPane();

	//
	// Overrides for spec panes.
	
	virtual	int IgnoreField( const char * field );
	virtual	int CustomField( const char * field, StrDict * varList,
		int len = 0, SpecElem *se = NULL );
	virtual void CustomAppendToTag(StrBuf tagOut, p4wHtml *htm);
	virtual void GetAction( StrBuf & actionURL );
	virtual void	RenderInfo( char *data, char level );

private:
	int doCustomForm( const char * field, StrDict * varList, int len );
	int doCustomNotForm( const char * field, StrDict * varList );
};

#endif // p4wUserPane_H
