//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wWherePane:
//	runs p4 where - saves results in 3 StrBufs


#ifndef p4wWherePane_H
#define p4wWherePane_H

#include "p4wPane.h"


class p4wWherePane : public p4wPane {

public:

	p4wWherePane( p4wView & ParentView, p4wRequest & Request );
	
	virtual	~p4wWherePane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual void RenderError( char *data, int escapeHTML );
	virtual	void End();

	StrBuf	fDepotPath;
	StrBuf	fClientPath;
	StrBuf	fLocalPath;
	StrBuf	fErrMsg;
	int		fError;

private:
	int fSeenData;
};

#endif // p4wWherePane_H
